#38 Use of a Java 1.4 method in RevEngineException.

open
nobody
None
5
2003-01-31
2003-01-31
Malcolm Purvis
No

I do not see any requirement that JReversePro requires
Java 1.4 in order to run. Therefore having the class
RevEngineException called the method Exception(String
msg, Throwable throw), which first appeared in 1.4, is
probably an error.

It certainly prevents the code from being compiled with
1.3, and may also explain some of the other bug reports
about missing methods.

Discussion